Subject: bug#69187: 29.2; Poor compatibility in align.el

From: Ikumi Keita <[email-masked]>
Date: Sat, 06 Apr 2024 01:57:53 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
> Thanks for raising this issue.  I have a question though: Does the
> change below fit the bill as well:
> diff --git a/lisp/align.el b/lisp/align.el
> index 81ccc4b5e2d..21e2e12ac24 100644
> --- a/lisp/align.el
> +++ b/lisp/align.el
> @@ -538,9 +538,7 @@ align-rules-list
>                      (align-match-tex-pattern "\\\\[=3D>]" end reverse)))
>       (group    . (1 2))
>       (modes    . align-tex-modes)
> -     (repeat   . t)
> -     (run-if   . ,(lambda ()
> -                    (eq major-mode 'latex-mode))))
> +     (repeat   . t))

>      (tex-record-break
>       (regexp   . "\\(\\s-*\\)\\\\\\\\")

That would practically do the job as well, because this entry wouldn't be
relevant in buffers in modes other than latex (LaTeX) mode actually. My
proposal is just to keep the precise behavior the same.

> Ikumi Keita <[email-masked]> writes:

>> Sorry, I included a spurious quote at
>> (modes    . '(latex-mode))
>> in my proposal. The proposal for `tex-tabbing-separator' should have
>> been:
>> ----------------------------------------------------------------------
>> (tex-tabbing-separator
>> (regexp   . ,(lambda (end reverse)
>> (align-match-tex-pattern "\\\\[=3D>]" end reverse)))
>> (group    . (1 2))
>> (modes    . (latex-mode))
>> (repeat   . t))
>> ----------------------------------------------------------------------

Sorry again, this was my mistake. After the second (third?) thought, my
first propoal was actually correct. The entry I should propose is
    (tex-tabbing-separator
     (regexp   . ,(lambda (end reverse)
                    (align-match-tex-pattern "\\\\[=>]" end reverse)))
     (group    . (1 2))
     (modes    . '(latex-mode))
     (repeat   . t))
, not
     (modes    . (latex-mode))
.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW